Web Browser Requirements

This website has been designed to work with most web browsers. We recommend that you always use the current version of browsers to make sure that our web pages display quickly, and that you have the latest security updates. If you use older browsers, you might notice that some functions and features don’t work or will stop working.

Recommended Browsers
This is a list of browsers we support and where to get them.

Operating system Recommended browser
Windows Microsoft Internet Explorer, Mozilla Firefox, Apple Safari, or Google Chrome (latest versions)
Mac Apple Safari or Mozilla Firefox (latest versions)

If you have difficulties using any part of this website, make sure you’re using the latest version of one of the recommended browsers.

Unsupported Browsers
Browsers we don’t support include:

  • Netscape
  • Opera browser (all versions)
  • Firefox 1.x or 2.x on all platforms (we encourage you to upgrade to the latest version)
  • Microsoft IE 8 and earlier for Windows
  • Microsoft IE for MacOS 9 and MacOS X
  • Microsoft WebTV, MSN TV, or MSN TV2
  • Safari 1.2x and below for MacOS X
  • AOL for Mac OS 9 (all versions)
  • All other unlisted browsers

When using this website, use the latest version of one of the recommended browsers. We don’t recommend using customized browsers (for example, AOL customizing Internet Explorer) because you may experience problems using this website.